Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java	(revision 1853)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java	(revision 1854)
@@ -1,19 +1,14 @@
 package org.txm.rcp.commands.function;
 
-import java.util.List;
-
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.Toolbox;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
-import org.txm.objects.CorpusBuild;
 import org.txm.rcp.swt.dialog.TextDialog;
 import org.txm.rcp.views.corpora.CorporaView;
 
@@ -35,10 +30,10 @@
 				String newName = dialog.getText();
 				//if (newName.length() > 0) {
 				
-					if (r instanceof CorpusBuild) { // test if another corpus has the same name
-						List<TXMResult> corpora = Toolbox.workspace.getDeepChildren(CorpusBuild.class);
-					}
-				
+//					if (r instanceof CorpusBuild) { // test if another corpus has the same name
+//						List<TXMResult> corpora = Toolbox.workspace.getDeepChildren(CorpusBuild.class);
+//					}
+//				
 					r.setUserName(newName);
 					try {
 						r.autoSaveParametersFromAnnotations();
@@ -46,6 +41,7 @@
 					catch (Exception e) {
 						// TODO Auto-generated catch block
 						e.printStackTrace();
+						return null;
 					}
 					TXMPreferences.flush(r);
 					
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1853)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1854)
@@ -265,26 +265,6 @@
 							return Status.CANCEL_STATUS;
 						}
 
-						// restore corpora if TXMHOME has been created
-						if (txmHomeRestored) {
-							//createBackUpDirectory(monitor);
-
-							installCorporaDirectory(monitor);
-							//							this.syncExec(new Runnable() {
-							//								@Override
-							//								public void run() {
-							//									try {
-							//										SearchEnginesManager.getCQPSearchEngine().stop();
-							//										SearchEnginesManager.getCQPSearchEngine().start(monitor);
-							//										CorporaView.refresh();
-							//									} catch (Exception e) {
-							//										// TODO Auto-generated catch block
-							//										e.printStackTrace();
-							//									}
-							//								}
-							//							});
-						}
-
 						monitor.done();
 					} catch (Exception e) {
 						System.out.println(TXMCoreMessages.bind(TXMUIMessages.errorWhileLoadingTXMColon, e));
@@ -856,7 +836,7 @@
 			System.out.println("DEV MODE: no corpus restored!");
 			return; // dev mode
 		}
-		
+		monitor.setTaskName("Restoring corpora...");
 		String installdirpath = Toolbox.getInstallDirectory();
 		File sampleCorporaDirectory = new File(installdirpath, "samples"); //$NON-NLS-1$
 
@@ -950,6 +930,8 @@
 				RestartTXM.reloadViews();
 			}
 		});
+		
+		monitor.setTaskName("");
 	}
 
 	/**
@@ -998,14 +980,15 @@
 	}
 
 	/**
-	 * after TXMHOME AND INSTALLDIR are ok, we start launch the Toolbox after
-	 * init, 
+	 * after TXMHOME AND INSTALLDIR are ok, we can start the Toolbox
 	 * <p>
-	 * we refresh the views (corpora, bases and query).
+	 * in a modal dialogs: 1- call pre start scripts, 2- init, 3- call start scripts 4- restore corpora
 	 * <p>
-	 * we close empty editors
+	 * 5- we refresh the views (corpora, bases and query).
 	 * <p>
-	 * we remove some preferences pages not useful
+	 * 6- we close empty editors
+	 * <p>
+	 * 7- we remove some preferences pages not useful
 	 * 
 	 * @param jobHandler the job
 	 * @return true, if successful
@@ -1029,7 +1012,8 @@
 
 									monitor.setTaskName("Calling Groovy prestart script...");
 									callPreStartScript();
-
+									monitor.worked(20);
+									
 									monitor.setTaskName("Initializing Toolbox (engines and corpora)...");
 									if (Toolbox.initialize(TBXPreferences.class, monitor)) {
 										StatusLine.setMessage(TXMUIMessages.ready);
@@ -1041,9 +1025,17 @@
 										monitor.done();
 										return;
 									}
-
+									monitor.worked(20);
+									
 									monitor.setTaskName("Calling Groovy start script...");
 									callStartScript();
+									monitor.worked(20);
+									
+									// restore corpora if TXMHOME has been created
+									if (txmHomeRestored) {
+										installCorporaDirectory(monitor);
+									}
+									monitor.worked(20);
 								} catch (Exception e) {
 									// TODO Auto-generated catch block
 									e.printStackTrace();
@@ -1053,17 +1045,10 @@
 							monitor.done(); 
 						}
 					});
-
+					
 					Log.fine(TXMUIMessages.loadingViews);
 					RestartTXM.reloadViews(); // reload views
-
-					if (Toolbox.isInitialized()) {
-						StatusLine.setMessage(TXMUIMessages.ready);
-					}
-					else {
-						StatusLine.setMessage(TXMUIMessages.startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuColonHelpSup);
-					}
-
+					
 					setDefaultTheme();
 
 					// CLOSE Empty&Error editors
@@ -1078,8 +1063,9 @@
 					e.printStackTrace();
 				}
 			}
-		}); 
-
+		});
+		
+		jobHandler.setTaskName("");
 		//TxmPreferences.dump();
 		return true;
 	}
